Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package base
  Definition Classes
    doc
-  package comment
  Definition Classes
    base
- Block
- Body
- Bold
- Chain
- Code
- Comment
- DefinitionList
- EntityLink
- HorizontalRule
- HtmlTag
- Inline
- Italic
- Link
- Monospace
- OrderedList
- Paragraph
- Subscript
- Summary
- Superscript
- Text
- Title
- Underline
- UnorderedList

c

scala.tools.nsc.doc.base.comment

# Code 

###

#### final case class Code(data: String) extends Block with Product with Serializable

Source
  Body.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, Block, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Code
2. Serializable
3. Serializable
4. Product
5. Equals
6. Block
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Code(data: String)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Code to any2stringadd[Code] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Code, B)
   Implicit
     This member is added by an implicit conversion from Code to ArrowAssoc[Code] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  val data: String
9.  def ensuring(cond: (Code) ⇒ Boolean, msg: ⇒ Any): Code
   Implicit
     This member is added by an implicit conversion from Code to Ensuring[Code] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (Code) ⇒ Boolean): Code
    Implicit
      This member is added by an implicit conversion from Code to Ensuring[Code] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): Code
    Implicit
      This member is added by an implicit conversion from Code to Ensuring[Code] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): Code
    Implicit
      This member is added by an implicit conversion from Code to Ensuring[Code] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Code to StringFormat[Code] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  def →[B](y: B): (Code, B)
    Implicit
      This member is added by an implicit conversion from Code to ArrowAssoc[Code] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Block

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Code to any2stringadd[Code]

### Inherited by implicit conversion StringFormat from Code to StringFormat[Code]

### Inherited by implicit conversion Ensuring from Code to Ensuring[Code]

### Inherited by implicit conversion ArrowAssoc from Code to ArrowAssoc[Code]

### Ungrouped